# Edit block comment

Hotkey: Ins

This command edits the block comment for the current line. The entered comment will be displayed before the current line.

Please note that due to the highly dynamic nature of the output, the decompiler uses a rather complex [coordinate system](http://hexblog.com/2007/08/coordinate_system_for_hexrays.html) to attach comments. Some output lines will not have a coordinate in this system. You cannot edit comments for these lines. Also, some lines have the same coordinate. In this case, the comment will be attached to the first line with the internal coordinate. We will try to overcome this limitation in the future but it might take some time and currently we do not have a clear idea how to improve the existing coordinate system.

Each time the output text changes the decompiler will rearrange the entered comments so they are displayed close to their original locations. However, if the output changes too much, the decompiler could fail to display some comments. Such comments are called "**orphan comments**". All orphan comments are printed at the very end of the output text.

If applied to the function declaration line, this command edits the function comment. This comment is shared with IDA: it is the same as the function comment in IDA.

You can cut and paste them to the correct locations or you can delete them with the "**Delete orphan comments**" command using the right-click menu.

See also: [Edit indented comment](/9.0sp1/user-guide/decompiler/interactive/cmd_comments.md) | [Interactive operation](/9.0sp1/user-guide/decompiler/interactive.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/9.0sp1/user-guide/decompiler/interactive/cmd_block_cmts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
